// src/services/brandService.ts
import * as db from './db/index.db';
import type { Logger } from 'pino';

class BrandService {
  async updateBrandLogo(brandId: number, file: Express.Multer.File, logger: Logger): Promise<string> {
    const logoUrl = `/flyer-images/${file.filename}`;
    await db.adminRepo.updateBrandLogo(brandId, logoUrl, logger);
    return logoUrl;
  }
}

export const brandService = new BrandService();